<?php
	
		error_reporting(0);

		header( 'content-type: text/html; charset=utf-8' );
		
		//include('menu_root.php');
		
		if(isset($_GET["modifier"]))
		{
			echo "Modif";
		}

		if(isset($_GET["supprimer"]))
		{ 
			$var = 4;

		}
		
?>
		
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Document sans nom</title>
</head>		
		
<link rel="stylesheet" href="default.css" type="text/css">
		
<head>		

<?php
		
		$user = "root";
		$password = "";
		$host = "localhost";
		$db = "test";
		
		$db_connection = mysql_connect($host, $user, $password);
			
		if(!$db_connection)
		{
			die('Could not connect: ' . mysql_error());
		}
		
		mysql_select_db($db, $db_connection); 
		
		//récupère tous les enregistrements
		$sql = 'SELECT id ,arrive, depart,status FROM reservation';
		$result = mysql_query($sql);
		$total = mysql_num_rows($result);
		
		 
		$messagesParPage=2; 
 
		//Une connexion SQL doit être ouverte avant cette ligne...
		$retour_total=mysql_query('SELECT COUNT(*) AS total FROM reservation'); //Nous récupérons le contenu de la requête dans $retour_total
		$donnees_total=mysql_fetch_assoc($retour_total); //On range retour sous la forme d'un tableau.
		$total=$donnees_total['total']; //On récupère le total pour le placer dans la variable $total.
		echo $total;
		
		echo "</br>";
		//Nous allons maintenant compter le nombre de pages.
		$nombreDePages=ceil($total/$messagesParPage);
		echo $nombreDePages;
				
		if(isset($_GET['page'])) // Si la variable $_GET['page'] existe...
		{
			$pageActuelle=intval($_GET['page']);
			if($pageActuelle>$nombreDePages) // Si la valeur de $pageActuelle (le numéro de la page) est plus grande que $nombreDePages...
			{
				$pageActuelle=$nombreDePages;
			}
		}
		else // Sinon
		{
			$pageActuelle=1; // La page actuelle est la n°1    
		}
 
		$premiereEntree=($pageActuelle-1)*$messagesParPage; // On calcul la première entrée à lire
 
		//$retour_messages=mysql_query('SELECT * FROM reservation ORDER BY id DESC LIMIT '.$premiereEntree.', '.$messagesParPage.'');
		$retour_messages=mysql_query('SELECT * FROM reservation LIMIT '.$premiereEntree.', '.$messagesParPage.'');

		
		echo '<table bgcolor="#FFFFFF">'."\n";
		echo '<tr>';
		echo '<td bgcolor="#669999"><b><u>id</u></b></td>';
		echo '<td bgcolor="#669999"><b><u>Arrivée</u></b></td>';
		echo '<td bgcolor="#669999"><b><u>Départ</u></b></td>';
		echo '<td bgcolor="#669999"><b><u>Etat</u></b></td>';
		echo '<td bgcolor="#669999"><b><u>Actions</u></b></td>';
		echo '</tr>'."\n";
 
		while($datas = mysql_fetch_assoc($retour_messages)) // On lit les entrées une à une grâce à une boucle
		{
     
		echo '<tr>';
		echo '<td bgcolor="#CCCCCC">'.$datas["id"].'</td>';
		echo '<td bgcolor="#CCCCCC">'.$datas["arrive"].'</td>';
		echo '<td bgcolor="#CCCCCC">'.$datas["depart"].'</td>';
		echo '<td bgcolor="#CCCCCC">'.$datas["status"].'</td>';
		echo '<td bgcolor="#CCCCCC">
		<a href="'.$_SERVER['PHP_SELF'].'?changer=ok&id='.$datas["id"].'">Etat</a>
		
		<a href="edition_reservation.php?id='.$datas["id"].'">Edition</a>
		<a href="supprimer_reservation.php?id='.$datas["id"].'">Supprimer</a></td>';
		
		echo '</tr>'."\n";
	
		}
 
		echo '</table>'."\n";

 
	echo '<p align="center">Page : '; //Pour l'affichage, on centre la liste des pages
	for($i=1; $i<=$nombreDePages; $i++) //On fait notre boucle
	{
     //On va faire notre condition
     if($i==$pageActuelle) //Si il s'agit de la page actuelle...
     {
         echo ' [ '.$i.' ] '; 
     }	
     else //Sinon...
     {
          echo ' <a href="liste_reservation.php?page='.$i.'">'.$i.'</a> ';
     }
}
		
?>		
			<div id="list">
			<table align="left" bgcolor="#d5d5d5" border="0" cellpadding="5" cellspacing="1" width="100%">
			<tbody><tr bgcolor="#f1f3f5">
			<th class="center" width="1%">ID</th>
			<th align="left" width="15%">Nom</th>
			<th align="left" width="15%">Prénom</th>
			<th align="left" width="*%">Arrivée</th>
			<th align="left" width="*%">Départ</th>
			<th align="left" width="*%">Status</th>
			<th class="center" width="1%">Edition</th>
			<th class="center" width="1%">Effacer</th>
			</tr>

<?php

		

		$retour_messages=mysql_query('SELECT * FROM reservation LIMIT '.$premiereEntree.', '.$messagesParPage.'');
		
				
   	    while($datas = mysql_fetch_assoc($retour_messages)) // On lit les entrées une à une grâce à une boucle
		{

		     	$id = $datas['id'];
		     	$nom = $datas['nom'];
		     	$prenom = $datas['prenom'];
				$arrive = $datas['arrive'];
				$depart = $datas['depart'];
				$status = $datas['status'];
		       	

				echo '
						<tr class="row2" onmouseover="this.className=highlight" onmouseout="this.className=row2">
						<td class="left" nowrap="nowrap">'.$id.'</td>
						<td class="left" nowrap="nowrap">'.$nom.'</td>
						<td class="left">'.$prenom.'</td>
						<td class="left">'.$arrive.'</td>
						<td class="left">'.$depart.'</td>
						<td class="left">'.$status.'</td>
			
						<td class="center" width="1%">
						<a href="edition_reservation.php?id=$id">
						<img src="images/update.png" alt="Edition" title="Edition"></a>
						</td>
			
						<td class="center" width="1%">
						<a href="supprimer_reservation.php?nom=$nom_bloc">
						<img src="images/delete.png" alt="Supprimer" title="Supprimer"></a>
						</td> ';

		}				

		echo '	<tr bgcolor="#f1f3f5">
			<td colspan="16" class="center">&nbsp;</td>
			</tr>
			</tbody></table>
			</div>  ';
		
		
		echo '<p align="center">Page : '; 
		
		for($i=1; $i<=$nombreDePages; $i++) 
		{    		      		
     		if($i==$pageActuelle) //Si il s'agit de la page actuelle...
     		  {
           	     echo ' [ '.$i.' ] '; 
     	      }	
     	    else {
			
				  echo ' <a href="liste_reservation.php?page='.$i.'">'.$i.'</a> ';

     			}
		}

		echo '</p>';
		

/*		echo $total;
		
		if($total) {

echo '<table bgcolor="#FFFFFF">'."\n";
echo '<tr>';
echo '<td bgcolor="#669999"><b><u>id</u></b></td>';
echo '<td bgcolor="#669999"><b><u>aaa</u></b></td>';
echo '<td bgcolor="#669999"><b><u>bbb</u></b></td>';
echo '<td bgcolor="#669999"><b><u>ccc</u></b></td>';
echo '<td bgcolor="#669999"><b><u>Actions</u></b></td>';
echo '</tr>'."\n";

	while($row = mysql_fetch_array($result))
	{
		echo '<tr>';
		echo '<td bgcolor="#CCCCCC">'.$row["id"].'</td>';
		echo '<td bgcolor="#CCCCCC">'.$row["arrive"].'</td>';
		echo '<td bgcolor="#CCCCCC">'.$row["depart"].'</td>';
		echo '<td bgcolor="#CCCCCC">'.$row["status"].'</td>';
		echo '<td bgcolor="#CCCCCC">
		<a href="'.$_SERVER['PHP_SELF'].'?modifier=ok&id='.$row["id"].'">Modifier</a>
		<a href="'.$_SERVER['PHP_SELF'].'?supprimer=ok&id='.$row["id"].'">Supprimer</a></td>';
		
		echo '</tr>'."\n";
	}

	echo '</table>'."\n";
	
	//http://antoine-herault.developpez.com/tutoriels/php/pagination-automatique-en-php/
}*/

		
?>